Skip to content
This repository
Newer
Older
100644 25 lines (22 sloc) 1.237 kb
1718a7d3 »
2010-02-12 Add gemspec for bundling with :git option
1 # -*- encoding: utf-8 -*-
5e53edf6 »
2011-06-18 Moved from hoe => bundler.
2 $:.push File.expand_path("../lib", __FILE__)
3 version = File.read(File.expand_path("ARJDBC_VERSION")).strip
1718a7d3 »
2010-02-12 Add gemspec for bundling with :git option
4 Gem::Specification.new do |s|
5e53edf6 »
2011-06-18 Moved from hoe => bundler.
5 s.name = "activerecord-jdbc-adapter"
6 s.version = version
7 s.platform = Gem::Platform::RUBY
8 s.authors = ["Nick Sieger, Ola Bini and JRuby contributors"]
9 s.email = %q{nick@nicksieger.com, ola.bini@gmail.com}
10 s.homepage = %q{http://jruby-extras.rubyforge.org/activerecord-jdbc-adapter}
11 s.summary = %q{JDBC adapter for ActiveRecord, for use within JRuby on Rails.}
1718a7d3 »
2010-02-12 Add gemspec for bundling with :git option
12 s.description = %q{activerecord-jdbc-adapter is a database adapter for Rails' ActiveRecord
13 component that can be used with JRuby[http://www.jruby.org/]. It allows use of
14 virtually any JDBC-compliant database with your JRuby on Rails application.}
5e53edf6 »
2011-06-18 Moved from hoe => bundler.
15 s.files = `git ls-files | grep -v activerecord-jdbc[^-]`.split("\n")
16 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
17 s.executables = `git ls-files -- bin/*`.split("\n").map{|f| File.basename(f) }
1718a7d3 »
2010-02-12 Add gemspec for bundling with :git option
18 s.require_paths = ["lib"]
5e53edf6 »
2011-06-18 Moved from hoe => bundler.
19 s.rdoc_options = ["--main", "README.txt", "-SHN", "-f", "darkfish"]
1718a7d3 »
2010-02-12 Add gemspec for bundling with :git option
20 s.rubyforge_project = %q{jruby-extras}
21
5e53edf6 »
2011-06-18 Moved from hoe => bundler.
22 s.add_dependency 'activerecord', "3.1.0.rc4"
1718a7d3 »
2010-02-12 Add gemspec for bundling with :git option
23 end
5e53edf6 »
2011-06-18 Moved from hoe => bundler.
24
Something went wrong with that request. Please try again.